Skip to main content
POST
/
v1
/
managed_users
/
revoke_session
Revoke a managed user's sessions
curl --request POST \
  --url https://api.notion.com/admin/v1/managed_users/revoke_session \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Notion-Version: <notion-version>' \
  --data '
{
  "user": {
    "email": "<string>",
    "type": "<string>"
  }
}
'
import requests

url = "https://api.notion.com/admin/v1/managed_users/revoke_session"

payload = { "user": {
        "email": "<string>",
        "type": "<string>"
    } }
headers = {
    "Notion-Version": "<notion-version>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'Notion-Version': '<notion-version>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({user: {email: '<string>', type: '<string>'}})
};

fetch('https://api.notion.com/admin/v1/managed_users/revoke_session', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "status": "<string>"
}
{
  "type": "error",
  "code": "validation_error",
  "status": 400,
  "message": "The request body is invalid."
}
{
  "type": "error",
  "code": "unauthorized",
  "status": 401,
  "message": "Unauthorized."
}
{
  "type": "error",
  "code": "forbidden",
  "status": 403,
  "message": "Forbidden."
}
{
  "type": "error",
  "code": "not_found",
  "status": 404,
  "message": "Not found."
}
{
  "type": "error",
  "code": "rate_limited",
  "status": 429,
  "message": "Rate limited."
}
{
  "type": "error",
  "code": "internal_server_error",
  "status": 500,
  "message": "An unexpected error occurred."
}
The organization bot token must have the following scopes:
  • managed-user-session:write

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Notion-Version
enum<string>
required

The Admin API version to use for this request.

Available options:
2026-06-01

Body

application/json
user
object
required

Response

status
string
required
Allowed value: "revoked"